com.independentsoft.exchange

## Class DelegateUser

- java.lang.Object
- - com.independentsoft.exchange.DelegateUser

-     public class DelegateUser
      extends java.lang.Object

  Identifies a single delegate to add or update in a mailbox or a delegate returned in a delegate management response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegateUser()` Initializes a new instance of the DelegateUser class.
    `DelegateUser(java.lang.String primarySmtpAddress)` Initializes a new instance of the DelegateUser class.
    `DelegateUser(UserId userId)` Initializes a new instance of the DelegateUser class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DelegateFolderPermissionLevel` | `getCalendarFolderPermissionLevel()` Gets the permissions for the default Calendar folder.
    `DelegateFolderPermissionLevel` | `getContactsFolderPermissionLevel()` Gets the permissions for the default Contacts folder.
    `DelegateFolderPermissionLevel` | `getInboxFolderPermissionLevel()` Gets the permissions for the default Inbox folder.
    `DelegateFolderPermissionLevel` | `getJournalFolderPermissionLevel()` Gets the permissions for the default Journal folder.
    `DelegateFolderPermissionLevel` | `getNotesFolderPermissionLevel()` Gets the permissions for the default Notes folder.
    `boolean` | `getReceiveCopiesOfMeetingMessages()` Gets whether a delegate receives copies of meeting-related messages that are addressed to the principal.
    `DelegateFolderPermissionLevel` | `getTasksFolderPermissionLevel()` Gets the permissions for the default Task folder.
    `UserId` | `getUserId()` Gets the delegate.
    `boolean` | `getViewPrivateItems()` Gets whether a delegate has permission to view private calendar items in the principal's mailbox.
    `void` | `setCalendarFolderPermissionLevel(DelegateFolderPermissionLevel calendarFolderPermissionLevel)` Sets the permissions for the default Calendar folder.
    `void` | `setContactsFolderPermissionLevel(DelegateFolderPermissionLevel contactsFolderPermissionLevel)` Sets the permissions for the default Contacts folder.
    `void` | `setInboxFolderPermissionLevel(DelegateFolderPermissionLevel inboxFolderPermissionLevel)` Sets the permissions for the default Inbox folder.
    `void` | `setJournalFolderPermissionLevel(DelegateFolderPermissionLevel journalFolderPermissionLevel)` Sets the permissions for the default Journal folder.
    `void` | `setNotesFolderPermissionLevel(DelegateFolderPermissionLevel notesFolderPermissionLevel)` Sets the permissions for the default Notes folder.
    `void` | `setReceiveCopiesOfMeetingMessages(boolean receiveCopiesOfMeetingMessages)` Sets whether a delegate receives copies of meeting-related messages that are addressed to the principal.
    `void` | `setTasksFolderPermissionLevel(DelegateFolderPermissionLevel tasksFolderPermissionLevel)` Sets the permissions for the default Task folder.
    `void` | `setUserId(UserId userId)` Sets the delegate.
    `void` | `setViewPrivateItems(boolean viewPrivateItems)` Sets whether a delegate has permission to view private calendar items in the principal's mailbox.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegateUser

          public DelegateUser()

      Initializes a new instance of the DelegateUser class.

    - #### DelegateUser

          public DelegateUser(UserId userId)

      Initializes a new instance of the DelegateUser class.
      Parameters:
        `userId` - the user id

    - #### DelegateUser

          public DelegateUser(java.lang.String primarySmtpAddress)

      Initializes a new instance of the DelegateUser class.
      Parameters:
        `primarySmtpAddress` - the primary smtp address

  - ### Method Detail

    - #### getUserId

          public UserId getUserId()

      Gets the delegate.
      Returns:
        the user id

    - #### setUserId

          public void setUserId(UserId userId)

      Sets the delegate.
      Parameters:
        `userId` - the new user id

    - #### getCalendarFolderPermissionLevel

          public DelegateFolderPermissionLevel getCalendarFolderPermissionLevel()

      Gets the permissions for the default Calendar folder.
      Returns:
        the calendar folder permission level

    - #### setCalendarFolderPermissionLevel

          public void setCalendarFolderPermissionLevel(DelegateFolderPermissionLevel calendarFolderPermissionLevel)

      Sets the permissions for the default Calendar folder.
      Parameters:
        `calendarFolderPermissionLevel` - the new calendar folder permission level

    - #### getTasksFolderPermissionLevel

          public DelegateFolderPermissionLevel getTasksFolderPermissionLevel()

      Gets the permissions for the default Task folder.
      Returns:
        the tasks folder permission level

    - #### setTasksFolderPermissionLevel

          public void setTasksFolderPermissionLevel(DelegateFolderPermissionLevel tasksFolderPermissionLevel)

      Sets the permissions for the default Task folder.
      Parameters:
        `tasksFolderPermissionLevel` - the new tasks folder permission level

    - #### getInboxFolderPermissionLevel

          public DelegateFolderPermissionLevel getInboxFolderPermissionLevel()

      Gets the permissions for the default Inbox folder.
      Returns:
        the inbox folder permission level

    - #### setInboxFolderPermissionLevel

          public void setInboxFolderPermissionLevel(DelegateFolderPermissionLevel inboxFolderPermissionLevel)

      Sets the permissions for the default Inbox folder.
      Parameters:
        `inboxFolderPermissionLevel` - the new inbox folder permission level

    - #### getContactsFolderPermissionLevel

          public DelegateFolderPermissionLevel getContactsFolderPermissionLevel()

      Gets the permissions for the default Contacts folder.
      Returns:
        the contacts folder permission level

    - #### setContactsFolderPermissionLevel

          public void setContactsFolderPermissionLevel(DelegateFolderPermissionLevel contactsFolderPermissionLevel)

      Sets the permissions for the default Contacts folder.
      Parameters:
        `contactsFolderPermissionLevel` - the new contacts folder permission level

    - #### getNotesFolderPermissionLevel

          public DelegateFolderPermissionLevel getNotesFolderPermissionLevel()

      Gets the permissions for the default Notes folder.
      Returns:
        the notes folder permission level

    - #### setNotesFolderPermissionLevel

          public void setNotesFolderPermissionLevel(DelegateFolderPermissionLevel notesFolderPermissionLevel)

      Sets the permissions for the default Notes folder.
      Parameters:
        `notesFolderPermissionLevel` - the new notes folder permission level

    - #### getJournalFolderPermissionLevel

          public DelegateFolderPermissionLevel getJournalFolderPermissionLevel()

      Gets the permissions for the default Journal folder.
      Returns:
        the journal folder permission level

    - #### setJournalFolderPermissionLevel

          public void setJournalFolderPermissionLevel(DelegateFolderPermissionLevel journalFolderPermissionLevel)

      Sets the permissions for the default Journal folder.
      Parameters:
        `journalFolderPermissionLevel` - the new journal folder permission level

    - #### getReceiveCopiesOfMeetingMessages

          public boolean getReceiveCopiesOfMeetingMessages()

      Gets whether a delegate receives copies of meeting-related messages that are addressed to the principal.
      Returns:
        the receive copies of meeting messages

    - #### setReceiveCopiesOfMeetingMessages

          public void setReceiveCopiesOfMeetingMessages(boolean receiveCopiesOfMeetingMessages)

      Sets whether a delegate receives copies of meeting-related messages that are addressed to the principal.
      Parameters:
        `receiveCopiesOfMeetingMessages` - the new receive copies of meeting messages

    - #### getViewPrivateItems

          public boolean getViewPrivateItems()

      Gets whether a delegate has permission to view private calendar items in the principal's mailbox.
      Returns:
        the view private items

    - #### setViewPrivateItems

          public void setViewPrivateItems(boolean viewPrivateItems)

      Sets whether a delegate has permission to view private calendar items in the principal's mailbox.
      Parameters:
        `viewPrivateItems` - the new view private items